package test.pdf;


import java.io.File;
import java.io.IOException;

import org.apache.pdfbox.pdmodel.PDDocument;
import org.coin.util.pdf.pdfbox.TextLocation;
import org.coin.util.pdf.pdfbox.TextLocationReplace;

/**
 * @see org.apache.pdfbox.examples.util.PrintTextLocations
 *
 */
public class TextLocationTest {
	public static void main(String[] args) throws Exception {
		System.out.println();
		String documentIn = "D:\\test\\CS-Convocation entretien.pdf";

		PDDocument document = PDDocument.load(documentIn);
//		test1(document);
//		test2(document);
		test3(document);
	}
	
	public static void test1(PDDocument document) throws IOException {
		System.out.println("test1");
		
		PrintTextLocations.doLocations(document);
	}
	
	public static void test2(PDDocument document) throws IOException {
		System.out.println("test2");
		TextLocation textLocation = new TextLocation();
		textLocation.setDocument(document);
		textLocation.locateText("#signature#");

		System.out.println("item.bOccurrenceFound " + textLocation.occurrenceFound);
		
	}
	
	public static void test3(PDDocument document) throws IOException {
		String documentOut = "D:\\test\\CS-Convocation entretien-out.pdf";
		TextLocationReplace textLocation = new TextLocationReplace();
		textLocation.setDocument(document);
//		textLocation.locateText("#signature#");
		textLocation.replaceText("#signature#", "TITI");
		document.save(new File(documentOut));
	}
	
}
